Package com.xebialabs.xlrelease.builder

# Class VariableBuilder$

java.lang.Object
com.xebialabs.xlrelease.builder.VariableBuilder$

public class VariableBuilder$ extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final VariableBuilder$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VariableBuilder$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VariableBuilder<Boolean,BooleanVariable>`
  `newBooleanVariable(String k, Boolean v)`
  `VariableBuilder<Date,DateVariable>`
  `newDateVariable(String k, Date v)`
  `VariableBuilder<String,PasswordStringVariable>`
  `newExternalPasswordVariable(String k, String v)`
  `StringVariable`
  `newGlobalVariable(String k, String v)`
  `VariableBuilder<Integer,IntegerVariable>`
  `newIntegerVariable(String k, Integer v)`
  `VariableBuilder<List<String>,ListStringVariable>`
  `newListStringVariable(String k, List<String> v)`
  `VariableBuilder<Map<String,String>,MapStringStringVariable>`
  `newMapStringStringVariable(String k, Map<String,String> v)`
  `VariableBuilder<String,PasswordStringVariable>`
  `newPasswordStringVariable(String k, String v)`
  `VariableBuilder<String,ReferenceVariable>`
  `newReferenceVariable(String k, String v, String referencedType)`
  `VariableBuilder<Set<String>,SetStringVariable>`
  `newSetStringVariable(String k, Set<String> v)`
  `VariableBuilder<String,StringVariable>`
  `newStringVariable(String k, String v)`
  `StringVariable`
  `newVariable(String k, String v)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final VariableBuilder$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### VariableBuilder$

    public VariableBuilder$()

- ## Method Details

  - ### newVariable

    public StringVariable newVariable(String k, String v)

  - ### newGlobalVariable

    public StringVariable newGlobalVariable(String k, String v)

  - ### newStringVariable

    public VariableBuilder<String,StringVariable> newStringVariable(String k, String v)

  - ### newPasswordStringVariable

    public VariableBuilder<String,PasswordStringVariable> newPasswordStringVariable(String k, String v)

  - ### newExternalPasswordVariable

    public VariableBuilder<String,PasswordStringVariable> newExternalPasswordVariable(String k, String v)

  - ### newListStringVariable

    public VariableBuilder<List<String>,ListStringVariable> newListStringVariable(String k, List<String> v)

  - ### newSetStringVariable

    public VariableBuilder<Set<String>,SetStringVariable> newSetStringVariable(String k, Set<String> v)

  - ### newMapStringStringVariable

    public VariableBuilder<Map<String,String>,MapStringStringVariable> newMapStringStringVariable(String k, Map<String,String> v)

  - ### newBooleanVariable

    public VariableBuilder<Boolean,BooleanVariable> newBooleanVariable(String k, Boolean v)

  - ### newIntegerVariable

    public VariableBuilder<Integer,IntegerVariable> newIntegerVariable(String k, Integer v)

  - ### newDateVariable

    public VariableBuilder<Date,DateVariable> newDateVariable(String k, Date v)

  - ### newReferenceVariable

    public VariableBuilder<String,ReferenceVariable> newReferenceVariable(String k, String v, String referencedType)